<?php
namespace Magento\Cookie\Block\Html\Notices;

/**
 * Interceptor class for @see \Magento\Cookie\Block\Html\Notices
 */
class Interceptor extends \Magento\Cookie\Block\Html\Notices implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, array $data = [], ?\Magento\Cookie\Helper\Cookie $cookieHelper = null)
    {
        $this->___init();
        parent::__construct($context, $data, $cookieHelper);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
